Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Class RemoteWMService

    java.lang.Object
      org.deegree.ogcwebservices.wmps.RemoteWMService

All Implemented Interfaces:
  OGCWebService

    public class RemoteWMService

extends Object
implements OGCWebService

An instance of the class acts as a wrapper to a remote WMS.

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Field Summary
`protected HashMap<String,URL>` | `addresses`
`protected WMSCapabilities` | `capabilities`

Constructor Summary
`RemoteWMService(WMSCapabilities capabilities)` Creates a new instance of RemoteWMService

Method Summary
`Object` | `doService(OGCWebServiceRequest request)` the method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/method
`OGCCapabilities` | `getCapabilities()` Returns the OGCCapabilities
`protected String` | `getInputStreamContent(InputStream is)`
`protected WMSCapabilities` | `handleGetCapabilities(WMSGetCapabilities request)` reads the capabilities from the remote WMS by performing a GetCapabilities request against it.
`protected Object` | `handleGetMap(GetMap request)` performs a GetMap request against the remote service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addresses

    protected HashMap<String,URL> addresses

### capabilities

    protected WMSCapabilities capabilities

Constructor Detail

### RemoteWMService

    public RemoteWMService(WMSCapabilities capabilities)

  Creates a new instance of RemoteWMService

  Parameters:
    `capabilities` -

Method Detail

### getCapabilities

    public OGCCapabilities getCapabilities()

  Returns the OGCCapabilities

  Specified by:
    `getCapabilities` in interface `OGCWebService`
  Returns:
    OGCCapabilities

### doService

    public Object doService(OGCWebServiceRequest request)
                     throws OGCWebServiceException

  the method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/method

  Specified by:
    `doService` in interface `OGCWebService`
  Parameters:
    `request` - request (WMS, WCS, WFS, WCAS, WCTS, WTS, Gazetter) to perform
  Returns:
    Object
  Throws:
    `OGCWebServiceException`

### handleGetMap

    protected Object handleGetMap(GetMap request)
                           throws OGCWebServiceException

  performs a GetMap request against the remote service. The result contains the map decoded in the desired format as a byte array.

  Parameters:
    `request` - GetMap request
  Returns:
    Object
  Throws:
    `OGCWebServiceException`

### handleGetCapabilities

    protected WMSCapabilities handleGetCapabilities(WMSGetCapabilities request)
                                             throws OGCWebServiceException

  reads the capabilities from the remote WMS by performing a GetCapabilities request against it.

  Parameters:
    `request` - capabilities request
  Returns:
    WMSCapabilities
  Throws:
    `OGCWebServiceException`

### getInputStreamContent

    protected String getInputStreamContent(InputStream is)
                                    throws IOException

  Parameters:
    `is` -
  Returns:
    String
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org